org.eclipse.mat.internal.collectionextract

## Class FieldSizeArrayMapExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.FieldSizeArrayCollectionExtractor
    - - org.eclipse.mat.internal.collectionextract.FieldSizeArrayMapExtractor

All Implemented Interfaces:
  ICollectionExtractor, IMapExtractor

    public class FieldSizeArrayMapExtractor
    extends FieldSizeArrayCollectionExtractor
    implements IMapExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
Constructor and Description
`FieldSizeArrayMapExtractor(String sizeField, String valuesArrayField, String keysCollectionField)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<Map.Entry<IObject,IObject>>` `extractMapEntries(IObject collection)` Extracts the contents of a map (i.e.
`Double` `getCollisionRatio(IObject collection)` Calculates the collision ratio in the collection
`boolean` `hasCollisionRatio()` Check if the extractor can calculate collision ratio

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldSizeArrayCollectionExtractor

`getSize, hasSize`

### Methods inherited from class org.eclipse.mat.internal.collectionextract.FieldArrayCollectionExtractor

`extractEntries, extractEntryIds, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.inspections.collectionextract.ICollectionExtractor

`extractEntries, extractEntryIds, getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Constructor Detail

#### FieldSizeArrayMapExtractor

    public FieldSizeArrayMapExtractor(String sizeField,
                                      String valuesArrayField,
                                      String keysCollectionField)

### Method Detail

#### hasCollisionRatio

    public boolean hasCollisionRatio()

Description copied from interface: `IMapExtractor`
Check if the extractor can calculate collision ratio

Specified by:
  `hasCollisionRatio` in interface `IMapExtractor`
Returns:

#### getCollisionRatio

    public Double getCollisionRatio(IObject collection)
                             throws SnapshotException

Description copied from interface: `IMapExtractor`
Calculates the collision ratio in the collection

Specified by:
  `getCollisionRatio` in interface `IMapExtractor`
Returns:
  Double number of elements with colliding keys / size
Throws:
  `SnapshotException`

#### extractMapEntries

    public Iterator<Map.Entry<IObject,IObject>> extractMapEntries(IObject collection)
                                                           throws SnapshotException

Description copied from interface: `IMapExtractor`
Extracts the contents of a map (i.e. an IObject representing a Map) and provides an Iterator over them

Specified by:
  `extractMapEntries` in interface `IMapExtractor`
Parameters:
  `collection` - - the map to extract contents from
Returns:
  an Iterator over the entries. If the original Map had an Entry object, the content of the iterator would usually be EntryObject
Throws:
  `SnapshotException`